Page MenuHomePhabricator

Performance issues on IE due to layout attributes in angular-material.css
Open, Stalled, NormalPublic

Description

https://gerrit.wikimedia.org/r/#/c/218006/ has brought along big performance issues on IE, while everything runs fine in Chrome and Firefox.

It's unclear what the issue is, but http://stackoverflow.com/a/30444081/1393377 has some hints.

Event Timeline

Sitic created this task.Jun 15 2015, 11:36 PM
Sitic claimed this task.
Sitic raised the priority of this task from to Normal.
Sitic updated the task description. (Show Details)
Sitic added subscribers: gerritbot, Aklapper, Sitic.
Aklapper renamed this task from Javascript performance on IE to Big Javascript performance issue on IE.Jun 16 2015, 9:25 AM
Aklapper set Security to None.

Change 219477 had a related patch set uploaded (by Sitic):
JS performance optimization

https://gerrit.wikimedia.org/r/219477

Change 219477 merged by Sitic:
JS performance optimization

https://gerrit.wikimedia.org/r/219477

Sitic renamed this task from Big Javascript performance issue on IE to Big performance issue on IE.Jun 19 2015, 9:51 PM
Sitic removed a project: Patch-For-Review.

After some time debugging it and a lot of JS performance improvements it might actually be some rendering issue in IE, and not something related to the two-way data binding. The "UI Responsiveness" debugger in IE shows that it spends most of its time when it blocks in "Style calculation".

It might be some issue with flexbox (which is somewhat strange in IE anyway) because of which it spends most of its time rendering. I'm still investigating, there are a lot of bug reports for these kinds of issues, but I didn't see a current one so far.

IE has problems rending even 50 watchlist events at once, while Chrome does ~1000 easily.

Sitic moved this task from Backlog to In Progress on the crosswatch board.Jun 19 2015, 10:01 PM
Sitic added a comment.Jun 26 2015, 2:12 PM

Is a lot better now (but still freezes for 1-2 sec on watchlist rendering). Seems to be related to

Sitic renamed this task from Big performance issue on IE to Performance issues on IE.Jul 2 2015, 2:01 PM
Sitic added a comment.Jul 2 2015, 2:19 PM

The problem definitely is caused by layout attributes implemented by angular-material.css. This bug is stalled until it is fixed upstream.

Sitic moved this task from In Progress to Backlog on the crosswatch board.Jul 2 2015, 2:19 PM
Sitic changed the task status from Open to Stalled.Jul 16 2015, 12:09 AM
Restricted Application added subscribers: MGChecker, Luke081515. · View Herald TranscriptJul 16 2015, 12:09 AM
Aklapper renamed this task from Performance issues on IE to Performance issues on IE due to layout attributes in angular-material.css.Oct 16 2015, 1:40 PM
Aklapper removed Sitic as the assignee of this task.Apr 14 2019, 12:50 AM

@Sitic: I am resetting the assignee of this task because there has not been progress lately (please correct me if I am wrong!). Resetting the assignee avoids the impression that somebody is already working on this task. It also allows others to potentially work towards fixing this task. Please claim this task again when you plan to work on it (via Add Action...Assign / Claim in the dropdown menu) - it would be welcome! Thanks for your understanding.